Extending Qt Creator Manual | FieldPageFactory

Extending Qt Creator Manual 4.7.1

# FieldPageFactory Class

(ProjectExplorer::Internal::FieldPageFactory)

- List of all members, including inherited members

## Public Functions

| FieldPageFactory()
Utils::WizardPage * | create(ProjectExplorer::JsonWizard *wizard, int typeId, const QVariant &data) override
bool | validateData(int typeId, const QVariant &data, int *errorMessage) override

## Member Function Documentation

### FieldPageFactory::FieldPageFactory()

Default constructs an instance of FieldPageFactory.

### Utils::WizardPage *FieldPageFactory::create(ProjectExplorer::JsonWizard *wizard, int typeId, const QVariant &data)

### bool FieldPageFactory::validateData(int typeId, const QVariant &data, int *errorMessage)